1 views

実現する機能

CentOS 8では、インターネット上の動画を鑑賞することが結構できないので、VLCをインストールして鑑賞できるようにし、自宅での仕事の合間にストレス解消を図っていますが、CentOS 8 自体のupdateができなくなったので、今回はその対策の備忘録を残します。余談ですが、H系を含む海外のサイトはウイルスに感染するリスクが高いので、Windowsパソコンでやるのはオススメしません。私は、VMWareやKVMで作成した仮想PCでH系動画は鑑賞しています。万一乗っ取られた場合には、仮想PCごと削除すればいいだけなので安全確実ですが、何事にも絶対はありませんので、自己責任でお願いします。

不具合の内容

以下はGNOME端末を表示しています。紫色はキーボードから入力するコマンド(コピペした方が楽ですが、コマンドは覚えられません)、緑はコマンドや処理内容の説明、白は自動表示する部分、赤は注意書きです。以下の「tu」、「ufuso」部分にはあなたのUser名やホスト名が表示されます。

#通常のupdateを実行するが、VLCが原因でできないことを確認
[root@ufuso ~]# dnf -y update
エラー:
問題 1: cannot install the best update candidate for package ffmpeg-libs-4.2.2-1.el8.x86_64
– nothing provides libsrt.so.1()(64bit) needed by ffmpeg-libs-4.2.2-5.el8.x86_64
問題 2: cannot install the best update candidate for package vlc-core-1:3.0.9-33.el8.x86_64
– nothing provides libssh2.so.1()(64bit) needed by vlc-core-1:3.0.9.2-2.el8.x86_64
– nothing provides libmicrodns(x86-64) > 0.1.2-1 needed by vlc-core-1:3.0.9.2-2.el8.x86_64
問題 3: package vlc-1:3.0.9.2-2.el8.x86_64 requires vlc-core(x86-64) = 1:3.0.9.2-2.el8, but none of the providers can be installed
– cannot install the best update candidate for package vlc-1:3.0.9-33.el8.x86_64
– nothing provides libssh2.so.1()(64bit) needed by vlc-core-1:3.0.9.2-2.el8.x86_64
– nothing provides libmicrodns(x86-64) > 0.1.2-1 needed by vlc-core-1:3.0.9.2-2.el8.x86_64
問題 4: package vlc-core-1:3.0.9-33.el8.x86_64 requires libliveMedia.so.66()(64bit), but none of the providers can be installed
– package vlc-core-1:3.0.9-33.el8.x86_64 requires live555(x86-64) = 2019.06.28, but none of the providers can be installed
– cannot install both live555-2020.04.12-1.el8.x86_64 and live555-2019.06.28-1.el8.x86_64
– problem with installed package vlc-core-1:3.0.9-33.el8.x86_64
– cannot install the best update candidate for package live555-2019.06.28-1.el8.x86_64
– nothing provides libssh2.so.1()(64bit) needed by vlc-core-1:3.0.9.2-2.el8.x86_64
– nothing provides libmicrodns(x86-64) > 0.1.2-1 needed by vlc-core-1:3.0.9.2-2.el8.x86_64
(競合するパッケージを置き換えるには、コマンドラインに ‘–allowerasing’ を追加してみてください または、’–skip-broken’ を追加して、インストール不可のパッケージをスキップしてください または、’–nobest’ を追加して、最適候補のパッケージのみを使用しないでください)

# VLCを削除

[root@ufuso ~]# dnf remove vlc --enablerepo=epel

モジュラーの依存に関する問題:

問題 1: conflicting requests
– nothing provides module(perl:5.26) needed by module perl-DBD-MySQL:4.046:8010020191114030811:073fa5fe-0.x86_64
問題 2: conflicting requests
– nothing provides module(perl:5.26) needed by module perl-DBD-SQLite:1.58:8010020191114033549:073fa5fe-0.x86_64
問題 3: conflicting requests
– nothing provides module(perl:5.26) needed by module perl-DBI:1.641:8010020191113222731:16b3ab4d-0.x86_64
依存関係が解決しました。
================================================================================
パッケージ Arch バージョン リポジトリー サイズ
================================================================================
削除中:
vlc x86_64 1:3.0.9-33.el8 @rpmfusion-free-updates 6.1 M
未使用の依存関係の削除:
aalib-libs x86_64 1.4.0-0.37.rc5.el8 @epel 182 k
faad2-libs x86_64 1:2.8.8-6.el8 @rpmfusion-free-updates 534 k
ffmpeg-libs x86_64 4.2.2-1.el8 @rpmfusion-free-updates 20 M
fftw-libs-double x86_64 3.3.5-11.el8 @AppStream 3.0 M
fluidsynth-libs x86_64 1.1.11-6.el8 @epel 536 k
freeglut x86_64 3.0.0-8.el8 @AppStream 664 k
game-music-emu x86_64 0.6.2-3.el8 @epel 393 k
jack-audio-connection-kit
x86_64 1.9.12-8.el8 @epel 2.1 M
libaom x86_64 1.0.0-8.20190810git9666276.el8
@epel 4.8 M
libass x86_64 0.14.0-4.el8 @epel 230 k
libcaca x86_64 0.99-0.43.beta19.el8 @epel 879 k
libcddb x86_64 1.3.2-30.el8 @epel 216 k
libchromaprint x86_64 1.4.2-6.el8 @epel 111 k
libdav1d x86_64 0.5.2-1.el8 @epel 1.0 M
libdc1394 x86_64 2.2.2-10.el8 @AppStream 343 k
libdca x86_64 0.0.6-4.el8 @rpmfusion-free-updates 218 k
libdvbpsi x86_64 1.3.3-1.el8 @epel 311 k
libebml x86_64 1.3.7-2.el8 @epel 303 k
libkate x86_64 0.4.1-18.el8 @epel 120 k
libmad x86_64 0.15.1b-24.el8 @AppStream 182 k
libmatroska x86_64 1.5.0-1.el8 @epel 1.3 M
libmfx x86_64 1.25-4.el8 @epel 91 k
libmicrodns x86_64 0.0.10-4.el8 @epel 54 k
libmodplug x86_64 1:0.8.9.0-9.el8 @epel 343 k
libmpeg2 x86_64 0.5.1-17.el8 @rpmfusion-free-updates 195 k
libtiger x86_64 0.3.4-18.el8 @epel 90 k
libupnp x86_64 1.8.4-3.el8 @epel 282 k
libusb x86_64 1:0.1.5-12.el8 @BaseOS 68 k
libva x86_64 2.4.1-1.el8 @AppStream 287 k
libvdpau x86_64 1.1.1-7.el8 @AppStream 75 k
libvmaf x86_64 1.3.15-1.el8 @epel 1.3 M
lirc-libs x86_64 0.10.0-19.el8 @epel 349 k
live555 x86_64 2019.06.28-1.el8 @rpmfusion-free-updates 1.4 M
mesa-libGLU x86_64 9.0.0-15.el8 @AppStream 490 k
ocl-icd x86_64 2.2.12-1.el8 @AppStream 145 k
opencore-amr x86_64 0.1.5-7.el8 @rpmfusion-free-updates 422 k
protobuf-lite x86_64 3.5.0-7.el8 @AppStream 508 k
pugixml x86_64 1.9-1.el8 @epel 248 k
qt5-qtbase x86_64 5.11.1-7.el8 @AppStream 12 M
qt5-qtbase-common noarch 5.11.1-7.el8 @AppStream 75
qt5-qtbase-gui x86_64 5.11.1-7.el8 @AppStream 24 M
qt5-qtsvg x86_64 5.11.1-2.el8 @AppStream 677 k
qt5-qtx11extras x86_64 5.11.1-2.el8 @AppStream 63 k
schroedinger x86_64 1.0.11-21.el8 @epel 963 k
soxr x86_64 0.1.3-4.el8 @epel 236 k
vid.stab x86_64 1.1.0-12.20190213gitaeabc8d.el8
@epel 93 k
vlc-core x86_64 1:3.0.9-33.el8 @rpmfusion-free-updates 49 M
vo-amrwbenc x86_64 0.1.3-8.el8 @rpmfusion-free-updates 151 k
x264-libs x86_64 0.157-12.20190717git34c06d1.el8
@rpmfusion-free-updates 2.8 M
x265-libs x86_64 3.1.2-1.el8 @rpmfusion-free-updates 16 M
xcb-util-image x86_64 0.4.0-9.el8 @AppStream 22 k
xcb-util-keysyms x86_64 0.4.0-7.el8 @AppStream 13 k
xcb-util-renderutil x86_64 0.3.9-10.el8 @AppStream 21 k
xcb-util-wm x86_64 0.4.1-12.el8 @AppStream 78 k
xvidcore x86_64 1.3.7-1.el8 @rpmfusion-free-updates 921 k
zimg x86_64 2.9.2-1.el8 @epel 1.0 M
zvbi x86_64 0.2.35-9.el8 @epel 1.4 M

トランザクションの概要
================================================================================
削除 58 パッケージ
# 削除される一覧を確認して、問題がないか判断。わからなければ選択を。Yes or No? 以下、yを選択した場合の流れ
解放された容量: 158 M
これでよろしいですか? [y/N]: y

削除しました:
vlc-1:3.0.9-33.el8.x86_64
aalib-libs-1.4.0-0.37.rc5.el8.x86_64
faad2-libs-1:2.8.8-6.el8.x86_64
ffmpeg-libs-4.2.2-1.el8.x86_64
fftw-libs-double-3.3.5-11.el8.x86_64
fluidsynth-libs-1.1.11-6.el8.x86_64
freeglut-3.0.0-8.el8.x86_64
game-music-emu-0.6.2-3.el8.x86_64
jack-audio-connection-kit-1.9.12-8.el8.x86_64
libaom-1.0.0-8.20190810git9666276.el8.x86_64
libass-0.14.0-4.el8.x86_64
libcaca-0.99-0.43.beta19.el8.x86_64
libcddb-1.3.2-30.el8.x86_64
libchromaprint-1.4.2-6.el8.x86_64
libdav1d-0.5.2-1.el8.x86_64
libdc1394-2.2.2-10.el8.x86_64
libdca-0.0.6-4.el8.x86_64
libdvbpsi-1.3.3-1.el8.x86_64
libebml-1.3.7-2.el8.x86_64
libkate-0.4.1-18.el8.x86_64
libmad-0.15.1b-24.el8.x86_64
libmatroska-1.5.0-1.el8.x86_64
libmfx-1.25-4.el8.x86_64
libmicrodns-0.0.10-4.el8.x86_64
libmodplug-1:0.8.9.0-9.el8.x86_64
libmpeg2-0.5.1-17.el8.x86_64
libtiger-0.3.4-18.el8.x86_64
libupnp-1.8.4-3.el8.x86_64
libusb-1:0.1.5-12.el8.x86_64
libva-2.4.1-1.el8.x86_64
libvdpau-1.1.1-7.el8.x86_64
libvmaf-1.3.15-1.el8.x86_64
lirc-libs-0.10.0-19.el8.x86_64
live555-2019.06.28-1.el8.x86_64
mesa-libGLU-9.0.0-15.el8.x86_64
ocl-icd-2.2.12-1.el8.x86_64
opencore-amr-0.1.5-7.el8.x86_64
protobuf-lite-3.5.0-7.el8.x86_64
pugixml-1.9-1.el8.x86_64
qt5-qtbase-5.11.1-7.el8.x86_64
qt5-qtbase-common-5.11.1-7.el8.noarch
qt5-qtbase-gui-5.11.1-7.el8.x86_64
qt5-qtsvg-5.11.1-2.el8.x86_64
qt5-qtx11extras-5.11.1-2.el8.x86_64
schroedinger-1.0.11-21.el8.x86_64
soxr-0.1.3-4.el8.x86_64
vid.stab-1.1.0-12.20190213gitaeabc8d.el8.x86_64
vlc-core-1:3.0.9-33.el8.x86_64
vo-amrwbenc-0.1.3-8.el8.x86_64
x264-libs-0.157-12.20190717git34c06d1.el8.x86_64
x265-libs-3.1.2-1.el8.x86_64
xcb-util-image-0.4.0-9.el8.x86_64
xcb-util-keysyms-0.4.0-7.el8.x86_64
xcb-util-renderutil-0.3.9-10.el8.x86_64
xcb-util-wm-0.4.1-12.el8.x86_64
xvidcore-1.3.7-1.el8.x86_64
zimg-2.9.2-1.el8.x86_64
zvbi-0.2.35-9.el8.x86_64

完了しました!

# 再度updateを実行

[root@topi ~]# dnf -y update

アップグレード済み:
buildah-1.11.6-6.module_el8.1.0+298+41f9343a.x86_64
cockpit-podman-11-1.module_el8.1.0+298+41f9343a.noarch
conmon-2:2.0.6-1.module_el8.1.0+298+41f9343a.x86_64
container-selinux-2:2.124.0-1.module_el8.1.0+298+41f9343a.noarch
containernetworking-plugins-0.8.3-4.module_el8.1.0+298+41f9343a.x86_64
containers-common-1:0.1.40-8.module_el8.1.0+298+41f9343a.x86_64
firefox-68.7.0-2.el8_1.x86_64
flatpak-1.0.9-2.el8_1.x86_64
flatpak-libs-1.0.9-2.el8_1.x86_64
fuse-overlayfs-0.7.2-5.module_el8.1.0+298+41f9343a.x86_64
git-2.18.2-2.el8_1.x86_64
git-core-2.18.2-2.el8_1.x86_64
git-core-doc-2.18.2-2.el8_1.noarch
libluksmeta-9-3.el8_1.1.x86_64
libvirt-daemon-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-config-network-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-interface-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-network-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-nodedev-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-nwfilter-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-qemu-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-secret-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-core-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-disk-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-gluster-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-iscsi-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-logical-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-mpath-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-rbd-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-driver-storage-scsi-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-daemon-kvm-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
libvirt-libs-4.5.0-35.3.module_el8.1.0+297+df420408.x86_64
luksmeta-9-3.el8_1.1.x86_64
mutter-3.32.2-12.el8_1.x86_64
perl-Git-2.18.2-2.el8_1.noarch
podman-1.6.4-4.module_el8.1.0+298+41f9343a.x86_64
podman-manpages-1.6.4-4.module_el8.1.0+298+41f9343a.noarch
qemu-guest-agent-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-img-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-block-curl-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-block-gluster-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-block-iscsi-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-block-rbd-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-block-ssh-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-common-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
qemu-kvm-core-15:2.12.0-88.module_el8.1.0+297+df420408.3.x86_64
runc-1.0.0-64.rc9.module_el8.1.0+298+41f9343a.x86_64
slirp4netns-0.4.2-3.git21fdece.module_el8.1.0+298+41f9343a.x86_64
tigervnc-license-1.9.0-14.el8_1.noarch
tigervnc-server-minimal-1.9.0-14.el8_1.x86_64
augeas-libs-1.12.0-2.el8_1.1.x86_64
binutils-2.30-58.el8_1.2.x86_64
bpftool-4.18.0-147.8.1.el8_1.x86_64
coreutils-8.30-6.el8_1.1.x86_64
coreutils-common-8.30-6.el8_1.1.x86_64
firewalld-0.7.0-5.el8_1.1.noarch
firewalld-filesystem-0.7.0-5.el8_1.1.noarch
kernel-headers-4.18.0-147.8.1.el8_1.x86_64
kernel-tools-4.18.0-147.8.1.el8_1.x86_64
kernel-tools-libs-4.18.0-147.8.1.el8_1.x86_64
kexec-tools-2.0.19-12.el8_1.2.x86_64
kmod-kvdo-6.2.1.138-58.el8_1.x86_64
libipa_hbac-2.2.0-19.el8_1.1.x86_64
libsss_autofs-2.2.0-19.el8_1.1.x86_64
libsss_certmap-2.2.0-19.el8_1.1.x86_64
libsss_idmap-2.2.0-19.el8_1.1.x86_64
libsss_nss_idmap-2.2.0-19.el8_1.1.x86_64
libsss_sudo-2.2.0-19.el8_1.1.x86_64
net-snmp-libs-1:5.8-12.el8_1.1.x86_64
nftables-1:0.9.0-14.el8_1.1.x86_64
openssl-1:1.1.1c-2.el8_1.1.x86_64
openssl-devel-1:1.1.1c-2.el8_1.1.x86_64
openssl-libs-1:1.1.1c-2.el8_1.1.x86_64
python3-firewall-0.7.0-5.el8_1.1.noarch
python3-perf-4.18.0-147.8.1.el8_1.x86_64
python3-rpm-4.14.2-26.el8_1.x86_64
python3-sssdconfig-2.2.0-19.el8_1.1.noarch
rpm-4.14.2-26.el8_1.x86_64
rpm-build-libs-4.14.2-26.el8_1.x86_64
rpm-libs-4.14.2-26.el8_1.x86_64
rpm-plugin-selinux-4.14.2-26.el8_1.x86_64
rpm-plugin-systemd-inhibit-4.14.2-26.el8_1.x86_64
sssd-2.2.0-19.el8_1.1.x86_64
sssd-ad-2.2.0-19.el8_1.1.x86_64
sssd-client-2.2.0-19.el8_1.1.x86_64
sssd-common-2.2.0-19.el8_1.1.x86_64
sssd-common-pac-2.2.0-19.el8_1.1.x86_64
sssd-ipa-2.2.0-19.el8_1.1.x86_64
sssd-kcm-2.2.0-19.el8_1.1.x86_64
sssd-krb5-2.2.0-19.el8_1.1.x86_64
sssd-krb5-common-2.2.0-19.el8_1.1.x86_64
sssd-ldap-2.2.0-19.el8_1.1.x86_64
sssd-nfs-idmap-2.2.0-19.el8_1.1.x86_64
sssd-proxy-2.2.0-19.el8_1.1.x86_64
systemd-239-18.el8_1.5.x86_64
systemd-container-239-18.el8_1.5.x86_64
systemd-libs-239-18.el8_1.5.x86_64
systemd-pam-239-18.el8_1.5.x86_64
systemd-udev-239-18.el8_1.5.x86_64

インストール済み:
kernel-4.18.0-147.8.1.el8_1.x86_64
kernel-core-4.18.0-147.8.1.el8_1.x86_64
kernel-modules-4.18.0-147.8.1.el8_1.x86_64

完了しました!

# 再度VLCをInstall

[root@topi ~]# dnf -y install vlc --enablerepo=epel

インストール済み:
vlc-1:3.0.9.2-2.el8.x86_64
qt5-qtwayland-5.11.1-2.el8.x86_64
fftw-libs-double-3.3.5-11.el8.x86_64
freeglut-3.0.0-8.el8.x86_64
libdc1394-2.2.2-10.el8.x86_64
libmad-0.15.1b-24.el8.x86_64
libva-2.4.1-1.el8.x86_64
libvdpau-1.1.1-7.el8.x86_64
mesa-libGLU-9.0.0-15.el8.x86_64
ocl-icd-2.2.12-1.el8.x86_64
protobuf-lite-3.5.0-7.el8.x86_64
qt5-qtbase-5.11.1-7.el8.x86_64
qt5-qtbase-common-5.11.1-7.el8.noarch
qt5-qtbase-gui-5.11.1-7.el8.x86_64
qt5-qtdeclarative-5.11.1-3.el8.x86_64
qt5-qtsvg-5.11.1-2.el8.x86_64
qt5-qtx11extras-5.11.1-2.el8.x86_64
qt5-qtxmlpatterns-5.11.1-2.el8.x86_64
xcb-util-image-0.4.0-9.el8.x86_64
xcb-util-keysyms-0.4.0-7.el8.x86_64
xcb-util-renderutil-0.3.9-10.el8.x86_64
xcb-util-wm-0.4.1-12.el8.x86_64
libusb-1:0.1.5-12.el8.x86_64
aalib-libs-1.4.0-0.37.rc5.el8.x86_64
fluidsynth-libs-1.1.11-6.el8.x86_64
game-music-emu-0.6.2-3.el8.x86_64
jack-audio-connection-kit-1.9.12-8.el8.x86_64
libaom-1.0.0-8.20190810git9666276.el8.x86_64
libass-0.14.0-4.el8.x86_64
libcaca-0.99-0.43.beta19.el8.x86_64
libcddb-1.3.2-30.el8.x86_64
libchromaprint-1.4.2-6.el8.x86_64
libdav1d-0.5.2-1.el8.x86_64
libdvbpsi-1.3.3-1.el8.x86_64
libebml-1.3.7-2.el8.x86_64
libkate-0.4.1-18.el8.x86_64
libmatroska-1.5.0-1.el8.x86_64
libmfx-1.25-4.el8.x86_64
libmicrodns-0.1.2-1.el8.x86_64
libmodplug-1:0.8.9.0-9.el8.x86_64
libssh2-1.9.0-5.el8.x86_64
libtiger-0.3.4-18.el8.x86_64
libupnp-1.8.4-3.el8.x86_64
libvmaf-1.3.15-1.el8.x86_64
lirc-libs-0.10.0-19.el8.x86_64
pugixml-1.9-1.el8.x86_64
schroedinger-1.0.11-21.el8.x86_64
soxr-0.1.3-4.el8.x86_64
srt-libs-1.4.1-3.el8.x86_64
vid.stab-1.1.0-12.20190213gitaeabc8d.el8.x86_64
zimg-2.9.2-1.el8.x86_64
zvbi-0.2.35-9.el8.x86_64
faad2-libs-1:2.8.8-6.el8.x86_64
ffmpeg-libs-4.2.2-5.el8.x86_64
libdca-0.0.6-4.el8.x86_64
libmpeg2-0.5.1-17.el8.x86_64
live555-2020.04.12-1.el8.x86_64
opencore-amr-0.1.5-7.el8.x86_64
vlc-core-1:3.0.9.2-2.el8.x86_64
vo-amrwbenc-0.1.3-8.el8.x86_64
x264-libs-0.157-12.20190717git34c06d1.el8.x86_64
x265-libs-3.1.2-1.el8.x86_64
xvidcore-1.3.7-1.el8.x86_64

完了しました!

インターネットの動画が閲覧できればOK。PCに置いてある動画でも確認を

以上

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA


このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください